Bug 21113

Summary: RadeonHD 4760 doesn't init framebuffer right
Product: xorg Reporter: John McCorquodale <mcq>
Component: Driver/radeonhdAssignee: Luc Verhaegen <lverhaegen>
Status: RESOLVED WONTFIX QA Contact: Xorg Project Team <xorg-team>
Severity: normal    
Priority: medium    
Version: unspecified   
Hardware: Other   
OS: All   
Whiteboard:
i915 platform: i915 features:

Description John McCorquodale 2009-04-10 10:18:17 UTC
As described earlier on the mailing list, my HIS 4760 card doesn't init right with radeonhd:

  http://lists.opensuse.org/radeonhd/2009-04/msg00000.html

Since that message, I've tried the new xorg 1.6.0 and radeonhd-1.2.5 that just hit Debian sid (2:1.6.0-1 and 1.2.5-1 respectively) with the same symptoms so it's probably not just me driving the git-head compiles wrong.

The card is this one:

  http://www.tigerdirect.com/applications/SearchTools/item-details.asp?EdpNo=4431378&CatId=3669

I've attached a video so you can see the failure symptom.  In case the attachment doesn't make it, it's available here for a few days:

  http://rockgeek.org/radeonhd-bug.mp4

The video shows the (subtly matrix-like) screen right after 'xinit'.

Happy to provide further info upon request, otherwise I'm just tossing the card in the drawer and forgetting about it.

Good luck!
Comment 1 Alex Deucher 2009-04-10 10:46:03 UTC
Does it work any better with radeon (xf86-video-ati)?
Comment 2 Matthias Hopf 2009-04-11 10:28:00 UTC
Please verify whether this happens with
  Option "AccelMethod" "shadowfb"
as well. Though I doubt that this is an acceleration bug.

Also, please add the Xorg.0.log.
Comment 3 Jeremy Huddleston Sequoia 2011-10-16 15:58:57 UTC
Does this issue occur with the preferred ati driver (xf86-vide-ati)?  If so, please move this to the Driver/Radeon component.  

Development of radeonhd has pretty much halted and development focus is on the ati driver.  Please see http://www.x.org/wiki/radeonhd

If the issue does not exist in the ati driver (or if there is no response to this message), this bug will be closed as WONTFIX unless someone contributes a patch.
Comment 4 Jeremy Huddleston Sequoia 2011-11-07 15:36:44 UTC
Closing due to lack of response.  Please reopen and move to the Driver/Radeon 
component if this issue persists with xf86-video-ati

Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.